GDB (xrefs)

Classes | Functions
compile-object-load.h File Reference
`#include "compile-internal.h"`

Go to the source code of this file.

## Classes
struct | compile_module

## Functions
struct compile_module * | compile_object_load (const compile_file_names &fnames, enum compile_i_scope_types scope, void *scope_data)
void | munmap_list_free (struct munmap_list *head)

## Function Documentation

## ◆ compile_object_load()

struct compile_module* compile_object_load | ( | const compile_file_names & | fnames,
|  | enum compile_i_scope_types | scope,
|  | void * | scope_data
| ) |  |

Definition at line 610 of file compile-object-load.c.

References _, BMSYMBOL_VALUE_ADDRESS, builtin_type(), builtin_type::builtin_void, check_typedef(), compile_debug, COMPILE_I_PRINT_ADDRESS_SCOPE, COMPILE_I_PRINT_VALUE_SCOPE, COMPILE_I_RAW_SCOPE, COMPILE_I_SIMPLE_SCOPE, copy_sections(), do_cleanups(), error(), fprintf_unfiltered(), compile_module::func_sym, gdb_assert, gdb_bfd_errmsg(), gdb_bfd_open(), GDB_MMAP_PROT_READ, GDB_MMAP_PROT_WRITE, gdb_stdlog, gdbarch_infcall_mmap(), gdb::ref_ptr< T, Policy >::get(), get_out_value_type(), get_regs_type(), gnu_ifunc_resolve_addr, gnutarget, internal_error(), setup_sections_data::last_max_alignment, setup_sections_data::last_prot, setup_sections_data::last_section_first, setup_sections_data::last_size, lookup_global_symbol_from_objfile(), lookup_minimal_symbol(), make_cleanup(), bound_minimal_symbol::minsym, mst_text, mst_text_gnu_ifunc, mst_unknown, MSYMBOL_TYPE, munmap_list_add(), compile_module::munmap_list_head, setup_sections_data::munmap_list_headp, munmap_listp_free_cleanup(), compile_file_names::object_file(), compile_module::objfile, objfile::objfile(), objfile_name(), compile_module::out_value_addr, compile_module::out_value_type, paddress(), compile_module::regs_addr, compile_module::scope, compile_module::scope_data, setup_sections(), compile_module::source_file, compile_file_names::source_file(), store_regs(), block_symbol::symbol, symbol_file_add_from_bfd(), SYMBOL_TYPE, target_gdbarch(), TYPE_CODE, TYPE_CODE_FUNC, TYPE_LENGTH, TYPE_NFIELDS, TYPE_TARGET_TYPE, types_deeply_equal(), VAR_DOMAIN, warning(), and XNEW.

Referenced by eval_compile_command().

## ◆ munmap_list_free()

void munmap_list_free | ( | struct munmap_list * | head | ) |

Definition at line 64 of file compile-object-load.c.

References munmap_list::addr, gdbarch_infcall_munmap(), munmap_list::next, munmap_list::size, target_gdbarch(), and xfree().

Referenced by do_module_cleanup(), and munmap_listp_free_cleanup().